## org.eclipse.datatools.modelbase.sql.tables.impl
Class SQLTablesPackageImpl

    java.lang.Object
      EPackageImpl
          org.eclipse.datatools.modelbase.sql.tables.impl.SQLTablesPackageImpl

All Implemented Interfaces:
  SQLTablesPackage

    public class SQLTablesPackageImpl

extends EPackageImpl
implements SQLTablesPackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.datatools.modelbase.sql.tables.SQLTablesPackage
`SQLTablesPackage.Literals`

Field Summary

Fields inherited from interface org.eclipse.datatools.modelbase.sql.tables.SQLTablesPackage

`ACTION_GRANULARITY_TYPE, ACTION_TIME_TYPE, BASE_TABLE, BASE_TABLE__COLUMNS, BASE_TABLE__COMMENTS, BASE_TABLE__CONSTRAINTS, BASE_TABLE__DEPENDENCIES, BASE_TABLE__DESCRIPTION, BASE_TABLE__EANNOTATIONS, BASE_TABLE__INDEX, BASE_TABLE__INSERTABLE, BASE_TABLE__LABEL, BASE_TABLE__NAME, BASE_TABLE__PRIVILEGES, BASE_TABLE__REFERENCING_FOREIGN_KEYS, BASE_TABLE__SCHEMA, BASE_TABLE__SELF_REF_COLUMN_GENERATION, BASE_TABLE__SUBTABLES, BASE_TABLE__SUPERTABLE, BASE_TABLE__TRIGGERS, BASE_TABLE__UDT, BASE_TABLE__UPDATABLE, BASE_TABLE_FEATURE_COUNT, CHECK_TYPE, COLUMN, COLUMN__COMMENTS, COLUMN__CONTAINED_TYPE, COLUMN__DEFAULT_VALUE, COLUMN__DEPENDENCIES, COLUMN__DESCRIPTION, COLUMN__EANNOTATIONS, COLUMN__GENERATE_EXPRESSION, COLUMN__IDENTITY_SPECIFIER, COLUMN__IMPLEMENTATION_DEPENDENT, COLUMN__LABEL, COLUMN__NAME, COLUMN__NULLABLE, COLUMN__PRIVILEGES, COLUMN__REFERENCED_TYPE, COLUMN__SCOPE_CHECK, COLUMN__SCOPE_CHECKED, COLUMN__TABLE, COLUMN_FEATURE_COUNT, DERIVED_TABLE, DERIVED_TABLE__COLUMNS, DERIVED_TABLE__COMMENTS, DERIVED_TABLE__DEPENDENCIES, DERIVED_TABLE__DESCRIPTION, DERIVED_TABLE__EANNOTATIONS, DERIVED_TABLE__INDEX, DERIVED_TABLE__INSERTABLE, DERIVED_TABLE__LABEL, DERIVED_TABLE__NAME, DERIVED_TABLE__PRIVILEGES, DERIVED_TABLE__QUERY_EXPRESSION, DERIVED_TABLE__SCHEMA, DERIVED_TABLE__SELF_REF_COLUMN_GENERATION, DERIVED_TABLE__SUBTABLES, DERIVED_TABLE__SUPERTABLE, DERIVED_TABLE__TRIGGERS, DERIVED_TABLE__UDT, DERIVED_TABLE__UPDATABLE, DERIVED_TABLE_FEATURE_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, PERSISTENT_TABLE, PERSISTENT_TABLE__COLUMNS, PERSISTENT_TABLE__COMMENTS, PERSISTENT_TABLE__CONSTRAINTS, PERSISTENT_TABLE__DEPENDENCIES, PERSISTENT_TABLE__DESCRIPTION, PERSISTENT_TABLE__EANNOTATIONS, PERSISTENT_TABLE__INDEX, PERSISTENT_TABLE__INSERTABLE, PERSISTENT_TABLE__LABEL, PERSISTENT_TABLE__NAME, PERSISTENT_TABLE__PRIVILEGES, PERSISTENT_TABLE__REFERENCING_FOREIGN_KEYS, PERSISTENT_TABLE__SCHEMA, PERSISTENT_TABLE__SELF_REF_COLUMN_GENERATION, PERSISTENT_TABLE__SUBTABLES, PERSISTENT_TABLE__SUPERTABLE, PERSISTENT_TABLE__TRIGGERS, PERSISTENT_TABLE__UDT, PERSISTENT_TABLE__UPDATABLE, PERSISTENT_TABLE_FEATURE_COUNT, REFERENCE_TYPE, TABLE, TABLE__COLUMNS, TABLE__COMMENTS, TABLE__DEPENDENCIES, TABLE__DESCRIPTION, TABLE__EANNOTATIONS, TABLE__INDEX, TABLE__INSERTABLE, TABLE__LABEL, TABLE__NAME, TABLE__PRIVILEGES, TABLE__SCHEMA, TABLE__SELF_REF_COLUMN_GENERATION, TABLE__SUBTABLES, TABLE__SUPERTABLE, TABLE__TRIGGERS, TABLE__UDT, TABLE__UPDATABLE, TABLE_FEATURE_COUNT, TEMPORARY_TABLE, TEMPORARY_TABLE__COLUMNS, TEMPORARY_TABLE__COMMENTS, TEMPORARY_TABLE__CONSTRAINTS, TEMPORARY_TABLE__DELETE_ON_COMMIT, TEMPORARY_TABLE__DEPENDENCIES, TEMPORARY_TABLE__DESCRIPTION, TEMPORARY_TABLE__EANNOTATIONS, TEMPORARY_TABLE__INDEX, TEMPORARY_TABLE__INSERTABLE, TEMPORARY_TABLE__LABEL, TEMPORARY_TABLE__LOCAL, TEMPORARY_TABLE__NAME, TEMPORARY_TABLE__PRIVILEGES, TEMPORARY_TABLE__REFERENCING_FOREIGN_KEYS, TEMPORARY_TABLE__SCHEMA, TEMPORARY_TABLE__SELF_REF_COLUMN_GENERATION, TEMPORARY_TABLE__SUBTABLES, TEMPORARY_TABLE__SUPERTABLE, TEMPORARY_TABLE__TRIGGERS, TEMPORARY_TABLE__UDT, TEMPORARY_TABLE__UPDATABLE, TEMPORARY_TABLE_FEATURE_COUNT, TRIGGER, TRIGGER__ACTION_GRANULARITY, TRIGGER__ACTION_STATEMENT, TRIGGER__ACTION_TIME, TRIGGER__COMMENTS, TRIGGER__DELETE_TYPE, TRIGGER__DEPENDENCIES, TRIGGER__DESCRIPTION, TRIGGER__EANNOTATIONS, TRIGGER__INSERT_TYPE, TRIGGER__LABEL, TRIGGER__NAME, TRIGGER__NEW_ROW, TRIGGER__NEW_TABLE, TRIGGER__OLD_ROW, TRIGGER__OLD_TABLE, TRIGGER__PRIVILEGES, TRIGGER__SCHEMA, TRIGGER__SUBJECT_TABLE, TRIGGER__TIME_STAMP, TRIGGER__TRIGGER_COLUMN, TRIGGER__UPDATE_TYPE, TRIGGER__WHEN, TRIGGER_FEATURE_COUNT, VIEW_TABLE, VIEW_TABLE__CHECK_TYPE, VIEW_TABLE__COLUMNS, VIEW_TABLE__COMMENTS, VIEW_TABLE__DEPENDENCIES, VIEW_TABLE__DESCRIPTION, VIEW_TABLE__EANNOTATIONS, VIEW_TABLE__INDEX, VIEW_TABLE__INSERTABLE, VIEW_TABLE__LABEL, VIEW_TABLE__NAME, VIEW_TABLE__PRIVILEGES, VIEW_TABLE__QUERY_EXPRESSION, VIEW_TABLE__SCHEMA, VIEW_TABLE__SELF_REF_COLUMN_GENERATION, VIEW_TABLE__SUBTABLES, VIEW_TABLE__SUPERTABLE, VIEW_TABLE__TRIGGERS, VIEW_TABLE__UDT, VIEW_TABLE__UPDATABLE, VIEW_TABLE_FEATURE_COUNT`

Method Summary
`void` `createPackageContents()` Creates the meta-model objects for the package.
`EEnum` `getActionGranularityType()`
`EEnum` `getActionTimeType()`
`EReference` `getBaseTable_Constraints()`
`EReference` `getBaseTable_ReferencingForeignKeys()`
`EClass` `getBaseTable()`
`EEnum` `getCheckType()`
`EAttribute` `getColumn_DefaultValue()`
`EReference` `getColumn_GenerateExpression()`
`EReference` `getColumn_IdentitySpecifier()`
`EAttribute` `getColumn_ImplementationDependent()`
`EAttribute` `getColumn_Nullable()`
`EAttribute` `getColumn_ScopeCheck()`
`EAttribute` `getColumn_ScopeChecked()`
`EReference` `getColumn_Table()`
`EClass` `getColumn()`
`EReference` `getDerivedTable_QueryExpression()`
`EClass` `getDerivedTable()`
`EClass` `getPersistentTable()`
`EEnum` `getReferenceType()`
`SQLTablesFactory` `getSQLTablesFactory()`
`EReference` `getTable_Columns()`
`EReference` `getTable_Index()`
`EAttribute` `getTable_Insertable()`
`EReference` `getTable_Schema()`
`EAttribute` `getTable_SelfRefColumnGeneration()`
`EReference` `getTable_Subtables()`
`EReference` `getTable_Supertable()`
`EReference` `getTable_Triggers()`
`EReference` `getTable_Udt()`
`EAttribute` `getTable_Updatable()`
`EClass` `getTable()`
`EAttribute` `getTemporaryTable_DeleteOnCommit()`
`EAttribute` `getTemporaryTable_Local()`
`EClass` `getTemporaryTable()`
`EAttribute` `getTrigger_ActionGranularity()`
`EReference` `getTrigger_ActionStatement()`
`EAttribute` `getTrigger_ActionTime()`
`EAttribute` `getTrigger_DeleteType()`
`EAttribute` `getTrigger_InsertType()`
`EAttribute` `getTrigger_NewRow()`
`EAttribute` `getTrigger_NewTable()`
`EAttribute` `getTrigger_OldRow()`
`EAttribute` `getTrigger_OldTable()`
`EReference` `getTrigger_Schema()`
`EReference` `getTrigger_SubjectTable()`
`EAttribute` `getTrigger_TimeStamp()`
`EReference` `getTrigger_TriggerColumn()`
`EAttribute` `getTrigger_UpdateType()`
`EReference` `getTrigger_When()`
`EClass` `getTrigger()`
`EAttribute` `getViewTable_CheckType()`
`EClass` `getViewTable()`
`static SQLTablesPackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### init

    public static SQLTablesPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends. Simple dependencies are satisfied by calling this method on all dependent packages before doing anything else. This method drives initialization for interdependent packages directly, in parallel with this package, itself.

  Of this package and its interdependencies, all packages which have not yet been registered by their URI values are first created and registered. The packages are then initialized in two steps: meta-model objects for all of the packages are created before any are initialized, since one package's meta-model objects may refer to those of another.

  Invocation of this method will not affect any packages that have already been initialized.

  See Also:
    `SQLTablesPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getViewTable

    public EClass getViewTable()

  Specified by:
    `getViewTable` in interface `SQLTablesPackage`
  Returns:
    the meta object for class 'View Table'.
  See Also:
    `ViewTable`

### getViewTable_CheckType

    public EAttribute getViewTable_CheckType()

  Specified by:
    `getViewTable_CheckType` in interface `SQLTablesPackage`
  Returns:
    the meta object for the attribute 'Check Type'.
  See Also:
    `ViewTable.getCheckType()`, `SQLTablesPackage.getViewTable()`

### getTemporaryTable

    public EClass getTemporaryTable()

  Specified by:
    `getTemporaryTable` in interface `SQLTablesPackage`
  Returns:
    the meta object for class 'Temporary Table'.
  See Also:
    `TemporaryTable`

### getTemporaryTable_Local

    public EAttribute getTemporaryTable_Local()

  Specified by:
    `getTemporaryTable_Local` in interface `SQLTablesPackage`
  Returns:
    the meta object for the attribute 'Local'.
  See Also:
    `TemporaryTable.isLocal()`, `SQLTablesPackage.getTemporaryTable()`

### getTemporaryTable_DeleteOnCommit

    public EAttribute getTemporaryTable_DeleteOnCommit()

  Specified by:
    `getTemporaryTable_DeleteOnCommit` in interface `SQLTablesPackage`
  Returns:
    the meta object for the attribute 'Delete On Commit'.
  See Also:
    `TemporaryTable.isDeleteOnCommit()`, `SQLTablesPackage.getTemporaryTable()`

### getTable

    public EClass getTable()

  Specified by:
    `getTable` in interface `SQLTablesPackage`
  Returns:
    the meta object for class 'Table'.
  See Also:
    `Table`

### getTable_Columns

    public EReference getTable_Columns()

  Specified by:
    `getTable_Columns` in interface `SQLTablesPackage`
  Returns:
    the meta object for the containment reference list 'Columns'.
  See Also:
    `Table.getColumns()`, `SQLTablesPackage.getTable()`

### getTable_Supertable

    public EReference getTable_Supertable()

  Specified by:
    `getTable_Supertable` in interface `SQLTablesPackage`
  Returns:
    the meta object for the reference 'Supertable'.
  See Also:
    `Table.getSupertable()`, `SQLTablesPackage.getTable()`

### getTable_Subtables

    public EReference getTable_Subtables()

  Specified by:
    `getTable_Subtables` in interface `SQLTablesPackage`
  Returns:
    the meta object for the reference list 'Subtables'.
  See Also:
    `Table.getSubtables()`, `SQLTablesPackage.getTable()`

### getTable_Schema

    public EReference getTable_Schema()

  Specified by:
    `getTable_Schema` in interface `SQLTablesPackage`
  Returns:
    the meta object for the reference 'Schema'.
  See Also:
    `Table.getSchema()`, `SQLTablesPackage.getTable()`

### getTable_Udt

    public EReference getTable_Udt()

  Specified by:
    `getTable_Udt` in interface `SQLTablesPackage`
  Returns:
    the meta object for the reference 'Udt'.
  See Also:
    `Table.getUdt()`, `SQLTablesPackage.getTable()`

### getTable_Triggers

    public EReference getTable_Triggers()

  Specified by:
    `getTable_Triggers` in interface `SQLTablesPackage`
  Returns:
    the meta object for the reference list 'Triggers'.
  See Also:
    `Table.getTriggers()`, `SQLTablesPackage.getTable()`

### getTable_Index

    public EReference getTable_Index()

  Specified by:
    `getTable_Index` in interface `SQLTablesPackage`
  Returns:
    the meta object for the reference list 'Index'.
  See Also:
    `Table.getIndex()`, `SQLTablesPackage.getTable()`

### getTable_SelfRefColumnGeneration

    public EAttribute getTable_SelfRefColumnGeneration()

  Specified by:
    `getTable_SelfRefColumnGeneration` in interface `SQLTablesPackage`
  Returns:
    the meta object for the attribute 'Self Ref Column Generation'.
  See Also:
    `Table.getSelfRefColumnGeneration()`, `SQLTablesPackage.getTable()`

### getTable_Insertable

    public EAttribute getTable_Insertable()

  Specified by:
    `getTable_Insertable` in interface `SQLTablesPackage`
  Returns:
    the meta object for the attribute 'Insertable'.
  See Also:
    `Table.isInsertable()`, `SQLTablesPackage.getTable()`

### getTable_Updatable

    public EAttribute getTable_Updatable()

  Specified by:
    `getTable_Updatable` in interface `SQLTablesPackage`
  Returns:
    the meta object for the attribute 'Updatable'.
  See Also:
    `Table.isUpdatable()`, `SQLTablesPackage.getTable()`

### getPersistentTable

    public EClass getPersistentTable()

  Specified by:
    `getPersistentTable` in interface `SQLTablesPackage`
  Returns:
    the meta object for class 'Persistent Table'.
  See Also:
    `PersistentTable`

### getDerivedTable

    public EClass getDerivedTable()

  Specified by:
    `getDerivedTable` in interface `SQLTablesPackage`
  Returns:
    the meta object for class 'Derived Table'.
  See Also:
    `DerivedTable`

### getDerivedTable_QueryExpression

    public EReference getDerivedTable_QueryExpression()

  Specified by:
    `getDerivedTable_QueryExpression` in interface `SQLTablesPackage`
  Returns:
    the meta object for the containment reference 'Query Expression'.
  See Also:
    `DerivedTable.getQueryExpression()`, `SQLTablesPackage.getDerivedTable()`

### getBaseTable

    public EClass getBaseTable()

  Specified by:
    `getBaseTable` in interface `SQLTablesPackage`
  Returns:
    the meta object for class 'Base Table'.
  See Also:
    `BaseTable`

### getBaseTable_Constraints

    public EReference getBaseTable_Constraints()

  Specified by:
    `getBaseTable_Constraints` in interface `SQLTablesPackage`
  Returns:
    the meta object for the containment reference list 'Constraints'.
  See Also:
    `BaseTable.getConstraints()`, `SQLTablesPackage.getBaseTable()`

### getBaseTable_ReferencingForeignKeys

    public EReference getBaseTable_ReferencingForeignKeys()

  Specified by:
    `getBaseTable_ReferencingForeignKeys` in interface `SQLTablesPackage`
  Returns:
    the meta object for the reference list 'Referencing Foreign Keys'.
  See Also:
    `BaseTable.getReferencingForeignKeys()`, `SQLTablesPackage.getBaseTable()`

### getColumn

    public EClass getColumn()

  Specified by:
    `getColumn` in interface `SQLTablesPackage`
  Returns:
    the meta object for class 'Column'.
  See Also:
    `Column`

### getColumn_Table

    public EReference getColumn_Table()

  Specified by:
    `getColumn_Table` in interface `SQLTablesPackage`
  Returns:
    the meta object for the container reference 'Table'.
  See Also:
    `Column.getTable()`, `SQLTablesPackage.getColumn()`

### getColumn_IdentitySpecifier

    public EReference getColumn_IdentitySpecifier()

  Specified by:
    `getColumn_IdentitySpecifier` in interface `SQLTablesPackage`
  Returns:
    the meta object for the containment reference 'Identity Specifier'.
  See Also:
    `Column.getIdentitySpecifier()`, `SQLTablesPackage.getColumn()`

### getColumn_GenerateExpression

    public EReference getColumn_GenerateExpression()

  Specified by:
    `getColumn_GenerateExpression` in interface `SQLTablesPackage`
  Returns:
    the meta object for the containment reference 'Generate Expression'.
  See Also:
    `Column.getGenerateExpression()`, `SQLTablesPackage.getColumn()`

### getColumn_ImplementationDependent

    public EAttribute getColumn_ImplementationDependent()

  Specified by:
    `getColumn_ImplementationDependent` in interface `SQLTablesPackage`
  Returns:
    the meta object for the attribute 'Implementation Dependent'.
  See Also:
    `Column.isImplementationDependent()`, `SQLTablesPackage.getColumn()`

### getColumn_Nullable

    public EAttribute getColumn_Nullable()

  Specified by:
    `getColumn_Nullable` in interface `SQLTablesPackage`
  Returns:
    the meta object for the attribute 'Nullable'.
  See Also:
    `Column.isNullable()`, `SQLTablesPackage.getColumn()`

### getColumn_DefaultValue

    public EAttribute getColumn_DefaultValue()

  Specified by:
    `getColumn_DefaultValue` in interface `SQLTablesPackage`
  Returns:
    the meta object for the attribute 'Default Value'.
  See Also:
    `Column.getDefaultValue()`, `SQLTablesPackage.getColumn()`

### getColumn_ScopeCheck

    public EAttribute getColumn_ScopeCheck()

  Specified by:
    `getColumn_ScopeCheck` in interface `SQLTablesPackage`
  Returns:
    the meta object for the attribute 'Scope Check'.
  See Also:
    `Column.getScopeCheck()`, `SQLTablesPackage.getColumn()`

### getColumn_ScopeChecked

    public EAttribute getColumn_ScopeChecked()

  Specified by:
    `getColumn_ScopeChecked` in interface `SQLTablesPackage`
  Returns:
    the meta object for the attribute 'Scope Checked'.
  See Also:
    `Column.isScopeChecked()`, `SQLTablesPackage.getColumn()`

### getTrigger

    public EClass getTrigger()

  Specified by:
    `getTrigger` in interface `SQLTablesPackage`
  Returns:
    the meta object for class 'Trigger'.
  See Also:
    `Trigger`

### getTrigger_Schema

    public EReference getTrigger_Schema()

  Specified by:
    `getTrigger_Schema` in interface `SQLTablesPackage`
  Returns:
    the meta object for the reference 'Schema'.
  See Also:
    `Trigger.getSchema()`, `SQLTablesPackage.getTrigger()`

### getTrigger_SubjectTable

    public EReference getTrigger_SubjectTable()

  Specified by:
    `getTrigger_SubjectTable` in interface `SQLTablesPackage`
  Returns:
    the meta object for the reference 'Subject Table'.
  See Also:
    `Trigger.getSubjectTable()`, `SQLTablesPackage.getTrigger()`

### getTrigger_ActionStatement

    public EReference getTrigger_ActionStatement()

  Specified by:
    `getTrigger_ActionStatement` in interface `SQLTablesPackage`
  Returns:
    the meta object for the containment reference list 'Action Statement'.
  See Also:
    `Trigger.getActionStatement()`, `SQLTablesPackage.getTrigger()`

### getTrigger_TriggerColumn

    public EReference getTrigger_TriggerColumn()

  Specified by:
    `getTrigger_TriggerColumn` in interface `SQLTablesPackage`
  Returns:
    the meta object for the reference list 'Trigger Column'.
  See Also:
    `Trigger.getTriggerColumn()`, `SQLTablesPackage.getTrigger()`

### getTrigger_ActionGranularity

    public EAttribute getTrigger_ActionGranularity()

  Specified by:
    `getTrigger_ActionGranularity` in interface `SQLTablesPackage`
  Returns:
    the meta object for the attribute 'Action Granularity'.
  See Also:
    `Trigger.getActionGranularity()`, `SQLTablesPackage.getTrigger()`

### getTrigger_When

    public EReference getTrigger_When()

  Specified by:
    `getTrigger_When` in interface `SQLTablesPackage`
  Returns:
    the meta object for the containment reference 'When'.
  See Also:
    `Trigger.getWhen()`, `SQLTablesPackage.getTrigger()`

### getTrigger_TimeStamp

    public EAttribute getTrigger_TimeStamp()

  Specified by:
    `getTrigger_TimeStamp` in interface `SQLTablesPackage`
  Returns:
    the meta object for the attribute 'Time Stamp'.
  See Also:
    `Trigger.getTimeStamp()`, `SQLTablesPackage.getTrigger()`

### getTrigger_ActionTime

    public EAttribute getTrigger_ActionTime()

  Specified by:
    `getTrigger_ActionTime` in interface `SQLTablesPackage`
  Returns:
    the meta object for the attribute 'Action Time'.
  See Also:
    `Trigger.getActionTime()`, `SQLTablesPackage.getTrigger()`

### getTrigger_UpdateType

    public EAttribute getTrigger_UpdateType()

  Specified by:
    `getTrigger_UpdateType` in interface `SQLTablesPackage`
  Returns:
    the meta object for the attribute 'Update Type'.
  See Also:
    `Trigger.isUpdateType()`, `SQLTablesPackage.getTrigger()`

### getTrigger_InsertType

    public EAttribute getTrigger_InsertType()

  Specified by:
    `getTrigger_InsertType` in interface `SQLTablesPackage`
  Returns:
    the meta object for the attribute 'Insert Type'.
  See Also:
    `Trigger.isInsertType()`, `SQLTablesPackage.getTrigger()`

### getTrigger_DeleteType

    public EAttribute getTrigger_DeleteType()

  Specified by:
    `getTrigger_DeleteType` in interface `SQLTablesPackage`
  Returns:
    the meta object for the attribute 'Delete Type'.
  See Also:
    `Trigger.isDeleteType()`, `SQLTablesPackage.getTrigger()`

### getTrigger_OldRow

    public EAttribute getTrigger_OldRow()

  Specified by:
    `getTrigger_OldRow` in interface `SQLTablesPackage`
  Returns:
    the meta object for the attribute 'Old Row'.
  See Also:
    `Trigger.getOldRow()`, `SQLTablesPackage.getTrigger()`

### getTrigger_NewRow

    public EAttribute getTrigger_NewRow()

  Specified by:
    `getTrigger_NewRow` in interface `SQLTablesPackage`
  Returns:
    the meta object for the attribute 'New Row'.
  See Also:
    `Trigger.getNewRow()`, `SQLTablesPackage.getTrigger()`

### getTrigger_OldTable

    public EAttribute getTrigger_OldTable()

  Specified by:
    `getTrigger_OldTable` in interface `SQLTablesPackage`
  Returns:
    the meta object for the attribute 'Old Table'.
  See Also:
    `Trigger.getOldTable()`, `SQLTablesPackage.getTrigger()`

### getTrigger_NewTable

    public EAttribute getTrigger_NewTable()

  Specified by:
    `getTrigger_NewTable` in interface `SQLTablesPackage`
  Returns:
    the meta object for the attribute 'New Table'.
  See Also:
    `Trigger.getNewTable()`, `SQLTablesPackage.getTrigger()`

### getCheckType

    public EEnum getCheckType()

  Specified by:
    `getCheckType` in interface `SQLTablesPackage`
  Returns:
    the meta object for enum 'Check Type'.
  See Also:
    `CheckType`

### getReferenceType

    public EEnum getReferenceType()

  Specified by:
    `getReferenceType` in interface `SQLTablesPackage`
  Returns:
    the meta object for enum 'Reference Type'.
  See Also:
    `ReferenceType`

### getActionTimeType

    public EEnum getActionTimeType()

  Specified by:
    `getActionTimeType` in interface `SQLTablesPackage`
  Returns:
    the meta object for enum 'Action Time Type'.
  See Also:
    `ActionTimeType`

### getActionGranularityType

    public EEnum getActionGranularityType()

  Specified by:
    `getActionGranularityType` in interface `SQLTablesPackage`
  Returns:
    the meta object for enum 'Action Granularity Type'.
  See Also:
    `ActionGranularityType`

### getSQLTablesFactory

    public SQLTablesFactory getSQLTablesFactory()

  Specified by:
    `getSQLTablesFactory` in interface `SQLTablesPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.